from odoo import models, fields, api

class NodeMetricsReportWizard(models.TransientModel):
    _name = 'node_report_wizard'
    _description = 'Wizard для выбора показателя и запуска отчёта'

    index_id = fields.Many2one(comodel_name='hg.index', string='Показатель')

    def action_generate_report(self):
        base_url = self.env['ir.config_parameter'].sudo().get_param('web.base.url')
        url = f"{base_url}/node_metrics/report/{self.index_id.id}"
        return {
            'type': 'ir.actions.act_url',
            'url': url,
            'target': 'new',
        }
